osgPresentation::HUDSettings Class Reference

`#include <Timeout>`

Inheritance diagram for osgPresentation::HUDSettings:

## Public Member Functions

| HUDSettings (double slideDistance, float eyeOffset, unsigned int leftMask, unsigned int rightMask)
virtual bool | getModelViewMatrix (osg::Matrix &matrix, osg::NodeVisitor *nv) const
virtual bool | getInverseModelViewMatrix (osg::Matrix &matrix, osg::NodeVisitor *nv) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

double | _slideDistance
double | _eyeOffset
unsigned int | _leftMask
unsigned int | _rightMask

## Protected Member Functions

virtual | ~HUDSettings ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## HUDSettings()

osgPresentation::HUDSettings::HUDSettings | ( | double | slideDistance,
|  | float | eyeOffset,
|  | unsigned int | leftMask,
|  | unsigned int | rightMask )

## ~HUDSettings()

virtual osgPresentation::HUDSettings::~HUDSettings | ( |  | ) |

protected virtual

## Member Function Documentation

## getInverseModelViewMatrix()

virtual bool osgPresentation::HUDSettings::getInverseModelViewMatrix | ( | osg::Matrix & | matrix,
|  | osg::NodeVisitor * | nv ) const

virtual

## getModelViewMatrix()

virtual bool osgPresentation::HUDSettings::getModelViewMatrix | ( | osg::Matrix & | matrix,
|  | osg::NodeVisitor * | nv ) const

virtual

## Member Data Documentation

## _eyeOffset

double osgPresentation::HUDSettings::_eyeOffset

## _leftMask

unsigned int osgPresentation::HUDSettings::_leftMask

## _rightMask

unsigned int osgPresentation::HUDSettings::_rightMask

## _slideDistance

double osgPresentation::HUDSettings::_slideDistance

The documentation for this class was generated from the following file:

- Timeout